package com.yanzhu.jh.trouble.domain.vo;

import com.ruoyi.common.annotation.Excel;
import com.yanzhu.jh.trouble.domain.SmzSspProblemmodify;
import org.apache.poi.ss.usermodel.HorizontalAlignment;
import org.apache.poi.ss.usermodel.IndexedColors;

import java.util.Date;

public class SmzSspProblemmodifyExport {
    @Excel(name = "项目名称",align= HorizontalAlignment.LEFT,width =30 )
    private String problemArea;

    @Excel(name = "总包单位",align= HorizontalAlignment.LEFT,width =30)
    private String deptName;
    @Excel(name = "隐患图片",isLink = true,color = IndexedColors.BLUE,linkText="查看图片")
    private String marksPicture;
    @Excel(name = "隐患类型" ,align= HorizontalAlignment.CENTER,width =24)
    private String dangerType;
    @Excel(name = "问题描述" ,align= HorizontalAlignment.LEFT,width =32)
    private String workParts;

    @Excel(name = "整改要求" ,align= HorizontalAlignment.LEFT,width =30)
    private String changeInfo;
    @Excel(name = "整改截至时间", width = 20, dateFormat = "yyyy-MM-dd HH:ss")
    private Date nickedTime;
    @Excel(name = "隐患整改人",align= HorizontalAlignment.LEFT,width =30)
    private String lordSent;

    @Excel(name = "流程状态")
    private String checkState;

    @Excel(name = "复检人",align= HorizontalAlignment.LEFT,width =30)
    private String recheckSend;
    @Excel(name = "抄送人",align= HorizontalAlignment.LEFT,width =30)
    private String copySend;

    @Excel(name = "提交用户",align= HorizontalAlignment.LEFT,width =30)
    private String createBy;

    @Excel(name = "提交时间", width = 20, dateFormat = "yyyy-MM-dd HH:ss")
    private Date createTime;

    public static SmzSspProblemmodifyExport newItem(SmzSspProblemmodify it) {
        SmzSspProblemmodifyExport d=new SmzSspProblemmodifyExport();
        d.problemArea=it.getProblemArea();
        d.deptName=it.getDeptName();
        d.dangerType=it.getDangerLabel();
        d.workParts=it.getWorkParts();
        d.changeInfo=it.getChangeInfo();
        d.nickedTime=it.getNickedTime();
        d.lordSent=it.getLordSent()+" "+it.getLordSentUser();
        d.checkState=it.getChkLabel();
        d.recheckSend=it.getRecheckSend()+" "+it.getRecheckSendUser();
        d.copySend=it.getCopySend()+" "+it.getCopySendUser();
        d.createBy=it.getCreateBy()+" "+it.getCreateUser();
        d.createTime=it.getCreateTime();
        d.marksPicture="http://62.234.3.186"+it.getMarksPicture();
        return d;
    }

    public String getMarksPicture() {
        return marksPicture;
    }

    public void setMarksPicture(String marksPicture) {
        this.marksPicture = marksPicture;
    }

    public String getProblemArea() {
        return problemArea;
    }

    public void setProblemArea(String problemArea) {
        this.problemArea = problemArea;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDangerType() {
        return dangerType;
    }

    public void setDangerType(String dangerType) {
        this.dangerType = dangerType;
    }

    public String getWorkParts() {
        return workParts;
    }

    public void setWorkParts(String workParts) {
        this.workParts = workParts;
    }

    public String getChangeInfo() {
        return changeInfo;
    }

    public void setChangeInfo(String changeInfo) {
        this.changeInfo = changeInfo;
    }

    public Date getNickedTime() {
        return nickedTime;
    }

    public void setNickedTime(Date nickedTime) {
        this.nickedTime = nickedTime;
    }

    public String getLordSent() {
        return lordSent;
    }

    public void setLordSent(String lordSent) {
        this.lordSent = lordSent;
    }

    public String getCheckState() {
        return checkState;
    }

    public void setCheckState(String checkState) {
        this.checkState = checkState;
    }

    public String getRecheckSend() {
        return recheckSend;
    }

    public void setRecheckSend(String recheckSend) {
        this.recheckSend = recheckSend;
    }

    public String getCopySend() {
        return copySend;
    }

    public void setCopySend(String copySend) {
        this.copySend = copySend;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
